Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 77138 - Sound Modules Fail for Enigma kernel 2.4.18-17.7.x on Dell Latitude J750
Summary: Sound Modules Fail for Enigma kernel 2.4.18-17.7.x on Dell Latitude J750
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 7.2
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-11-01 17:06 UTC by David S Alden
Modified: 2007-04-18 16:48 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2002-11-16 11:07:02 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2002:262 normal SHIPPED_LIVE : New kernel fixes local denial of service issue 2002-09-23 04:00:00 UTC

Description David S Alden 2002-11-01 17:06:07 UTC
Description of Problem:
After updating to the latest i686 kernel release 2.4.18-17.7.x for Red Hat
Enigma the sound drivers were observed to no longer be functional.  Lsmod
shows:

maestro3               27848   2 (autoclean)
ac97_codec             12224   0 (autoclean) [maestro3]
soundcore               6212   2 (autoclean) [maestro3]

and /var/log/messages includes after booting:

Nov  1 11:00:20 ganymede kernel: PCI: Found IRQ 5 for device 00:08.0
Nov  1 11:00:20 ganymede kernel: maestro3: Configuring ESS Maestro3(i) found at IO 0xD800 IRQ 5
Nov  1 11:00:20 ganymede kernel: maestro3:  subvendor id: 0x00bb1028
Nov  1 11:00:20 ganymede kernel: ac97_codec: AC97 Audio codec, id: 0x8384:0x7609 (SigmaTel STAC9721/23)
Nov  1 11:00:20 ganymede modprobe: modprobe: Can't locate module sound-service-0-0
Nov  1 11:00:21 ganymede modprobe: modprobe: Can't locate module sound-slot-1
Nov  1 11:00:21 ganymede modprobe: modprobe: Can't locate module sound-service-1-0
Nov  1 11:00:21 ganymede modprobe: modprobe: Can't locate module sound-slot-1
Nov  1 11:00:21 ganymede modprobe: modprobe: Can't locate module sound-service-1-0
Nov  1 11:00:31 ganymede kernel: ide-floppy driver 0.99.newide
Nov  1 11:00:33 ganymede kernel: hdc: ATAPI 24X CD-ROM drive, 128kB Cache
Nov  1 11:00:33 ganymede kernel: Uniform CD-ROM driver Revision: 3.12
Nov  1 11:00:37 ganymede modprobe: modprobe: Can't locate module sound-slot-1
Nov  1 11:00:37 ganymede modprobe: modprobe: Can't locate module sound-service-1-0
Nov  1 11:00:37 ganymede modprobe: modprobe: Can't locate module sound-slot-1
Nov  1 11:00:37 ganymede modprobe: modprobe: Can't locate module sound-service-1-0

/proc/ioports includes:

d800-d8ff : ESS Technology ES1983S Maestro-3i PCI Audio Accelerator
  d800-d8ff : maestro3


Version-Release number of selected component (if applicable):


How Reproducible: Always reproducible on Dell Latitude J750


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:
System no longer produces sound

Expected Results:
System sound applications and alerts functional

Additional Information:
Sound is functional running Windows98 and Windows2K on same machine.  Previous
kernel release 2.4.9-34 was also functional.

Comment 1 Bzizou 2002-11-12 10:58:05 UTC
Same thing on a DELL Latitude C800 with redhat 7.3. No more sound, and mixer
applet from KDE takes 100% of the CPU. It worked with the previous kernel
(2.4.18-10).

Comment 2 Arjan van de Ven 2002-11-12 11:01:05 UTC
see
http://people.redhat.com/arjanv/testkernels/
for a kernel with a fix

Comment 3 Arjan van de Ven 2002-11-16 11:07:02 UTC
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2002-262.html



Note You need to log in before you can comment on or make changes to this bug.